aboutsummaryrefslogtreecommitdiffstats
path: root/community/opencl-icd-loader/APKBUILD
diff options
context:
space:
mode:
authorStuart Cardall <developer@it-offshore.co.uk>2016-08-18 20:46:53 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-21 22:24:04 +0200
commit5c9f3ca3e307be53b45beeed2ce1626f38008625 (patch)
tree919836fe454e953f46685adf8228b0401280d4b6 /community/opencl-icd-loader/APKBUILD
parent6a00a953ba02bab6440a2c784e7db37c6eaeace1 (diff)
downloadaports-5c9f3ca3e307be53b45beeed2ce1626f38008625.tar.gz
aports-5c9f3ca3e307be53b45beeed2ce1626f38008625.tar.bz2
aports-5c9f3ca3e307be53b45beeed2ce1626f38008625.tar.xz
testing/[various]: move to community
albatross-themes apk-post-messages autossh bitcoin btrbk entr ffmpegthumbnailer firejail firetools fwsnort gnome-colors imapsync inetutils-syslogd inotify-tools-inc isync junit ktsuss letsencrypt-nosudo libmbim libndp libqmi libteam mini-sendmail modemmanager namecoin networkmanager nginx-naxsi numix-themes nxapi opencl-headers opencl-icd-loader opus-tools perl-authen-ntlm perl-bit-vector perl-data-uniqid perl-file-copy-recursive perl-getopt-argvfile perl-io-tee perl-iptables-chainmgr perl-iptables-parse perl-module-scandeps perl-par-dist perl-par-packer perl-par perl-uri-escape psad py-crcmod py-graphviz py-lz4 py-opencl py-opengl-accelerate runit secpwgen secure-delete socklog spacefm tinyssh udevil virt-viewer virtualbricks whois wrk xpra zram-init
Diffstat (limited to 'community/opencl-icd-loader/APKBUILD')
-rw-r--r--community/opencl-icd-loader/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/community/opencl-icd-loader/APKBUILD b/community/opencl-icd-loader/APKBUILD
new file mode 100644
index 0000000000..dbf14c208e
--- /dev/null
+++ b/community/opencl-icd-loader/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
+pkgname=opencl-icd-loader
+_pkgreal=ocl-icd
+pkgver=2.2.9
+pkgrel=0
+pkgdesc="Generic OpenCL ICD Loader"
+url="https://forge.imag.fr/projects/ocl-icd/"
+arch="all"
+license="custom"
+depends=""
+depends_dev="$pkgname"
+makedepends="$depends_dev ruby"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://forge.imag.fr/frs/download.php/716/$_pkgreal-$pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgreal-$pkgver
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ || return 1
+ # tests
+ #tests/testsuite || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ install -D -m644 COPYING "$pkgdir"/usr/share/doc/ocl-icd/LICENSE
+}
+
+md5sums="7dab1a9531ea79c19a414a9ee229504e opencl-icd-loader-2.2.9.tar.gz"
+sha256sums="0c8ac13e2c5b737c34de49f9aca6cad3c4d33dd0bbb149b01238d76e798feae5 opencl-icd-loader-2.2.9.tar.gz"
+sha512sums="d0b1531812feb493bdc27fd4a141796c2ecd14efd79cfa00af47c7c6edc1a7b323cd2d3b7254117a1cfa1c55e24494f662034041a0976b6ee5a6154626eb2d65 opencl-icd-loader-2.2.9.tar.gz"